Get character from gz-file pointer

- « gzfile

- gzgets »

- PHP Manual
- Zlib Functions
- Get character from gz-file pointer

# gzgetc

(PHP 4, PHP 5, PHP 7, PHP 8)

gzgetc — Get character from gz-file pointer

### Description

gzgetc(resource `$stream`): string|false

Returns a string containing a single (uncompressed) character read from the given gz-file pointer.

### Parameters

`stream`

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

### Return Values

The uncompressed character or `false` on EOF (unlike gzeof()).

### Examples

Example #1 gzgetc() example

    <?php
    $gz = gzopen('somefile.gz', 'r');
    while (!gzeof($gz)) {
      echo gzgetc($gz);
    }
    gzclose($gz);
    ?>

### See Also

- gzopen() - Open gz-file
- gzgets() - Get line from file pointer